httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kenneth Svee <k.s.s...@usit.uio.no>
Subject Re: [users@httpd] Can't start Apache 2.0.59
Date Mon, 06 Nov 2006 10:28:38 GMT
[ IT Professional ]

> I've compiled Apache 2.0.59 with OpenSSL 0.9.9[dev].
> The server can run well with RSA cert but when I tried to run it
> with ECC cert, the server refused to start.
> Log files are showing:
...
> [Fri Nov 03 14:52:21 2006] [error] Oops, no RSA or DSA server certificate found?!
>
> The only thing I've changed in ssl.conf is:
> SSLCertificateFile conf/secp521r1.crt
> SSLCertificateKeyFile conf/secp521r1.key
>
> Anyone has similar problem? 

Did you check to see if Apache supports ECC-certificates. AFAICT only
RSA/DSA-based PEM-encoded certificates are supported:

  http://httpd.apache.org/docs/2.0/mod/mod_ssl.html#sslcertificatefile

Rgds,
Kenneth Svee

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message